%?mingw_package_header

%global name1 libconfuse
Name:           mingw-%{name1}
Version:        3.2.1
Release:        1%{?dist}
Summary:        MinGW configuration file parser library

License:        LGPLv2
URL:            https://github.com/martinh/libconfuse
Source0:        https://github.com/martinh/libconfuse/releases/download/v%{version}/confuse-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  check-devel
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext


%description
libConfuse is a configuration file parser library, licensed under
the terms of the ISC license, and written in C. It supports
sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features (such
as single/double-quoted strings, environment variable expansion,
functions and nested include statements). It makes it very
easy to add configuration file capability to a program using
a simple API.

The goal of libConfuse is not to be the configuration file parser
library with a gazillion of features. Instead, it aims to be
easy to use and quick to integrate with your code.

%package -n mingw32-%{name1}
Summary:        MinGW configuration file parser library

%description -n mingw32-%{name1}
libConfuse is a configuration file parser library, licensed under
the terms of the ISC license, and written in C. It supports
sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features (such
as single/double-quoted strings, environment variable expansion,
functions and nested include statements). It makes it very
easy to add configuration file capability to a program using
a simple API.

The goal of libConfuse is not to be the configuration file parser
library with a gazillion of features. Instead, it aims to be
easy to use and quick to integrate with your code.

%package -n mingw64-%{name1}
Summary:        MinGW configuration file parser library

%description -n mingw64-%{name1}
libConfuse is a configuration file parser library, licensed under
the terms of the ISC license, and written in C. It supports
sections and (lists of) values (strings, integers, floats,
booleans or other sections), as well as some other features (such
as single/double-quoted strings, environment variable expansion,
functions and nested include statements). It makes it very
easy to add configuration file capability to a program using
a simple API.

The goal of libConfuse is not to be the configuration file parser
library with a gazillion of features. Instead, it aims to be
easy to use and quick to integrate with your code.

%{?mingw_debug_package}

%prep
%setup -q -n confuse-%{version}


%build
%mingw_configure --disable-static --disable-examples
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT/%{mingw32_datadir}/doc/confuse/{AUTHORS,ChangeLog.md,LICENSE,README.md}
rm -f $RPM_BUILD_ROOT/%{mingw64_datadir}/doc/confuse/{AUTHORS,ChangeLog.md,LICENSE,README.md}

%mingw_find_lang confuse --all-name


%files -n mingw32-%{name1} -f mingw32-confuse.lang
%defattr(-,root,root,-)
%license LICENSE
%doc AUTHORS README.md
%doc doc/html
%{mingw32_bindir}/libconfuse-2.dll
%{mingw32_includedir}/confuse.h
%{mingw32_libdir}/libconfuse.dll.a
%{mingw32_libdir}/pkgconfig/libconfuse.pc

%files -n mingw64-%{name1} -f mingw64-confuse.lang
%defattr(-,root,root,-)
%license LICENSE
%doc AUTHORS README.md
%doc doc/html
%{mingw64_bindir}/libconfuse-2.dll
%{mingw64_includedir}/confuse.h
%{mingw64_libdir}/libconfuse.dll.a
%{mingw64_libdir}/pkgconfig/libconfuse.pc

%changelog
* Fri Oct 06 2017 Thomas Sailer <thomas.sailer@axsem.com> - 3.2.1-1
- update to 3.2.1
- BR gettext for translations
- spec file modernization, drop no longer needed constructs

* Wed Jan 25 2017 Thomas Sailer <thomas.sailer@axsem.com> - 3.0-1
- Initial Specfile
